Page MenuHomeFreeBSD

bhyve: document signals handling and exit codes
ClosedPublic

Authored by novel on Apr 17 2016, 3:55 AM.

Details

Summary

Update the bhyve(8) man page:

  • Document powering off by sending SIGTERM signal
  • Document exit codes

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

novel retitled this revision from to bhyve: document signals handling and exit codes.Apr 17 2016, 3:55 AM
novel updated this object.
novel edited the test plan for this revision. (Show Details)
novel added reviewers: neel, grehan, Doc Committers.
novel set the repository for this revision to rS FreeBSD src repository.
novel updated this revision to Diff 15273.
wblock added a subscriber: wblock.Apr 17 2016, 4:42 PM
wblock added inline comments.
usr.sbin/bhyve/bhyve.8
302 ↗(On Diff #15273)

How about a shorter version:

Exit status indicates how the VM was terminated:
310 ↗(On Diff #15273)

"VM was" in these three entries is redundant and can just be eliminated entirely.

312 ↗(On Diff #15273)

s/Triple/triple/ to match the other entries.

Oh, and remember to update .Dd. Nice to routinely run igor -R bhyve.8 and mandoc -Tlint bhyve.8 before commit, too.

novel edited edge metadata.Apr 18 2016, 7:33 AM
novel updated this revision to Diff 15285.
  • Updated wording
  • Updated .Dd
novel marked 3 inline comments as done.Apr 18 2016, 7:33 AM
wblock accepted this revision.

Thanks!

This revision is now accepted and ready to land.Apr 18 2016, 7:02 PM
novel added a comment.Apr 19 2016, 4:14 AM

Thanks!

Thank you for review, Warren. Does that mean that I, as a ports committer, can commit it?

neel edited edge metadata.Apr 19 2016, 6:11 PM
neel accepted this revision.
In D5982#127701, @novel wrote:

Thanks!

Thank you for review, Warren. Does that mean that I, as a ports committer, can commit it?

I usually think of accepting a review as separate from an "Approved-by", but I'll give an Approved-by for this. Remember to enter that on the commit.

Closed by commit rS298341: Update the bhyve(8) man page: (authored by novel). · Explain Why
This revision was automatically updated to reflect the committed changes.